Firmware 2.81 Required

30
Oct
2006
By Chris | 30th Oct 2006 at 17:39 GMT in Vice City Stories | 3 Comments
There's been a lot of speculation as to whether Vice City Stories will require the latest firmware updates from Sony, and we can now confirm that it will require at least version 2.81, the latest currently available being 2.82.
Vice City Stories seems to be getting into more and more players hands now, despite the fact we haven't reached the official release dates, as many retailers are choosing to bend the rules and distribute copies of the game earlier than they're supposed to.

Some quick facts we can now clear up about the game:
  • Firmware 2.81 is required
  • Riding a bicycle is virtually the same as in San Andreas.
  • Vic can swim for approximately 1 minute before drowning
  • You start the game on the second island
  • The map looks almost identical to how it was in Vice City
  • You can buy safehouses
  • Big planes aren't flyable, however the Dodo and Skimmer are
Unless homebrew is more important to you, you may want to update your PSP right now, so as to avoid the annoying wait to download and install the firmware before you get to play VCS. You can do so by using the network update feature on your PSP, or alternatively download it from one of the following links:
North America
Everwhere else (you'll need to click on your country then go to Help & Advice -> PSP System Update)

Thanks to Enstone @ GTAforums for the info
Join The GTA Place On:
Ciaran's photo
Ciaran 30th October, 2006 @ 18:05 - Permalink
2.81 :pissedred:

well thats homebrew gone :mellow:
tommy vercetti guy's photo
tommy vercetti guy 30th October, 2006 @ 23:12 - Permalink
Bicycles :P
MatthewCorleone's photo
MatthewCorleone 30th October, 2006 @ 23:45 - Permalink
wtf! 1 minute!

Some of our affiliates:

GTA Warehouse GrandTheftAutoIV.com RockstarBase GTAGames.nl GTANetwork.it GTA San Andreas

View all affiliates